
Redmine - Defect #13287

Non-member role with 'created by or assigned' issue visibility can't view own issues in private

project

2013-02-26 05:42 - Daniel Black

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues permissions Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version:  

Description

About your application's environment

Ruby version              1.9.3 (x86_64-linux)

RubyGems version          1.8.25

Rack version              1.4

Rails version             3.2.12

Active Record version     3.2.12

Action Pack version       3.2.12

Active Resource version   3.2.12

Action Mailer version     3.2.12

Active Support version    3.2.12

Middleware                Rack::Cache, ActionDispatch::Static, Rack::Lock,

#<ActiveSupport::Cache::Strategy::LocalCache::Middleware:0x000000027f4778>, Rack::Runtime, Rack::MethodOverride,

ActionDispatch::RequestId, Rails::Rack::Logger, ActionDispatch::ShowExceptions, ActionDispatch::DebugExceptions,

ActionDispatch::RemoteIp, ActionDispatch::Callbacks, ActiveRecord::ConnectionAdapters::ConnectionManagement,

ActiveRecord::QueryCache, ActionDispatch::Cookies, ActionDispatch::Session::CookieStore, ActionDispatch::Flash,

ActionDispatch::ParamsParser, ActionDispatch::Head, Rack::ConditionalGet, Rack::ETag, ActionDispatch::BestStandardsSupport,

OpenIdAuthentication

Application root          /usr/local/redmine-new/redmine-2.2

Environment               production

Database adapter          mysql2

Database schema version   20130217094251

version: r11458

I used rdm-mailhandler.rb to create a user automaticly and create an issue on my 'unassigned' project. The created user has no

groups or projects.

The non-member role has issues visibility of 'issues created by or assigned to the user'. (that was added in #7412 / r5416 ). The

other permissions on the non-member role are:  'View Issues' and 'Add notes'.

a) After updating an issue there's no email notification to the user when their email notification is set to:

watched or involved or

only things I'm the owner of

(related issues #6069 and #8497)

When logged in as the new users

b) /activity

Shows nothing

c) /issues

shows nothing

d) /my/page

shows nothing

e) /issues/3027

Direct access to the issue created by the user - 403 You are not authorized to access this page.
https://www.redmine.org/projects/redmine/repository/svn/revisions/11458
https://www.redmine.org/issues/7412
https://www.redmine.org/projects/redmine/repository/svn/revisions/5416
https://www.redmine.org/issues/6069
https://www.redmine.org/issues/8497


After creating a NONMEMBER role with the same permissions / issues visibility as the internal non-member role, and assigning the

role 'NONMEMBER' on project 'unassigned' for the user, all of the above are visible and notices are sent.

History

#1 - 2013-03-01 11:50 - Jean-Philippe Lang

- Status changed from New to Needs feedback

Works for me. Is your 'unassigned' project public or private?

#2 - 2013-03-01 23:31 - Daniel Black

Jean-Philippe Lang wrote:

Works for me. Is your 'unassigned' project public or private?

 private.

#3 - 2013-03-02 10:50 - Jean-Philippe Lang

- Subject changed from non-member role issue visibility 'created by or assigned to the user' unable to view own issues / or receive email notification of

own issues to Non-member role with 'created by or assigned' issue visibility can't view own issues in private project

- Status changed from Needs feedback to Closed

- Resolution set to Invalid

Thanks but I'll have to close this one. Private projects are never visible to non-members.

#4 - 2013-03-03 07:56 - Daniel Black

ok. Thanks for your help.

patch #13340 is my work around. Hope this is acceptable.
https://www.redmine.org/issues/13340
http://www.tcpdf.org

